locked
problem with referencing System.Windows.Interactivity.dll with clickonce application RRS feed

  • Question

  • Hi All

    I have a WPF .net 4 application which reference System.Windows.Interactivity.dll from the following directory:

    C:\Program Files (x86)\Microsoft SDKs\Expression\Blend\.NETFramework\v4.0\Libraries

    I included the dll in application files and published my application with clickonce, but whenever user try to install it they will get the following error:

    "Unable to install or run the application. The application requires that assembly System.Windows.Iteractivity version 3.5.0.0 be installed in the Global Assembly Cache (GAC) first.”

    Any help would be much appreciated.

    Wednesday, May 16, 2012 11:12 AM

All replies

  • It looks like something is referencing or requiring the .NET 3.5 version of that library. It could be something in your project or something to do with your deployment of ClickOnce. Is your project referencing any .NET 3.5 assemblies?

    If you need a copy of that .dll, I think this download has the version you're looking for:

    http://www.microsoft.com/en-us/download/details.aspx?displaylang=en&id=14422

    Wednesday, May 16, 2012 1:30 PM
  • No I'm not referencing any 3.5 library! I spend a day trying every possibilities and finally gave up using this dll and find an alternative solution to my problem. So now I'm not using this dll and my app is running through clickonce perfectly fine.

    Thursday, May 17, 2012 1:22 PM